body{
    align-content: center;
    background: linear-gradient(150deg, lightblue, blue);
    background-repeat: no-repeat;
    background-size: 100vw 100vh;
    background-attachment: fixed;
}
main {
    align-content: center;
    background-color: white;
    margin: auto;
    max-width: 1400px;
    min-width: 200px;
    width: 70%;
    padding-bottom: 30px;
    border: 0 solid black;
    border-radius: 20px;
    box-shadow: 4px 4px 10px rgb(10, 10, 10);
}
h1 {
    text-align: center;
    align-self: center;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
    font-size: 4em;
    border: black;
}
p {
    font-size: 20px;
    text-align: center;
}
hr {
    width: 80%;
    margin-top: 20px;
    margin-bottom: 20px;
}
button {
    display: block;
    margin-left: auto;
    margin-right: auto;
    align-self: center;
    width: auto;
    height: 10%;
    font-size: 2rem;
    border: none;
    background-color: lightgray;
    border-radius: 5px;
    padding: 2px 5px;
    transition: transform 0.3s, background-color 0.3s ease;
}
button.small {
    font-size: 1.3rem;
    max-width: 30%;
    width: auto;
    display: inline-block;
    margin: 0;
}
button:hover {
    background-color: #e6e6e6;
    transform: scale(1.1);
}
#guessing_game_input {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2%;
}
input {
    display: inline-block;
    max-width: 60%;
    width: auto;
    font-size: 1.3rem;
    border: none;
    background-color: lightgray;
    border-radius: 5px;
    padding: 2px 5px;
}
nav a{
    text-align: center;
    padding: 10px;
    text-decoration: none;
    font-size: 30px;
    color: black;
    background-color: lightgrey;
    border-radius: 5px;
    display: inline-block;
    transition: transform 0.3s, background-color 0.3s ease;
    margin-top: 2%;
}
nav a:hover{
    background-color: #e6e6e6;
    transform: scale(1.1);
}
nav {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10%;
    text-align: center;
}
footnote a{
    text-decoration: none;
    color: black;
    background-color: lightgrey;
    border-radius: 5px;
    padding: 2px 5px;
    display: inline-block;
    transition: transform 0.3s, background-color 0.3s ease;
}
footnote a:hover{
    background-color: #e6e6e6;
    transform: scale(1.1);
}
